Subject: [bug#72457] [PATCH v5 01/15] guix: scripts: Rewrite reinstall-bootloader to use provenance data.

From: Herman Rimm <[email-masked]>
Date: Fri, 13 Sep 2024 09:56:14 +0200

Hello,

On Thu, Sep 12, 2024 at 08:08:50PM +0200, Herman Rimm wrote:
> Also, a compatibility macro would be worth looking into, see for example
> origin-compatibility-helper in (guix packages).  A macro for the targets
> field of bootloader-configuration could use each string as a path for
> bootloader-target and make an educated guess for the type field based on
> that path, or the bootloader itself.

So it would make more sense to use a field sanitizer to do that, and
looking at warn-update-targets in (gnu bootloader), it already does
that.  Sorry for the noise.

Cheers,
Herman